{include file="header.tpl"}

<div id="sidebar">
{include file="sidebar.tpl"}
</div>

<div class="mainContent">

<h1>Privacy Statement for {$smarty.const.SITE_NAME}</h1>
<p>Your privacy on the Internet is of the utmost importance to us. Because we gather certain types of information 
about the users of {$smarty.const.SITE_NAME}'s sites and services, we feel you should understand {$smarty.const.SITE_NAME}'s 
policies surrounding the collection and use of that information. This privacy statement discloses what information we 
gather, how we use it, and how to correct or change it. 
</p>

<h2>Information Gathered by {$smarty.const.SITE_NAME}</h2>
<p>For visitors to our Web site, subscribers to our newsletters, and clients and prospective clients of our service 
(collectively referred to as a "User" or "Users"), we log standard technical information such as your IP address.  
We use this information to help diagnose problems with our service, and to administer our Web site. For example, 
your IP address may be used to help identify you and your account information and to gather broad demographic information.
</p>

<p>Our site uses cookies to keep track of your account. We also use cookies to deliver content specific to you.
</p>

<p>{$smarty.const.SITE_NAME} requires registration for the use of some services,  our web site may contain order forms 
for other products and services or online surveys.  In order to provide our services to you, we may ask you for contact 
information (like name and email address), financial information (like account and/or credit card numbers), and 
demographic information (like zip code and age). 
</p>

<h2>{$smarty.const.SITE_NAME}'s Use of Information</h2>
<p>We may use your contact information to send you information about our company or our advertisers, however, 
you may opt-out of receiving such mailings (see the Client Prospects and Subscribers sections below). We use 
financial information to bill you for products and services. Demographic and profile data is also collected at 
our site. We use this data to tailor your experience at our site, to deliver content that we think you might be 
interested in, and to display the content according to your preferences. We may share aggregate information about 
our users with third parties, such as advertisers.
</p>

<p>{$smarty.const.SITE_NAME} may also disclose your personal information, the contents of your communications, 
and/or your contact and financial information if required to do so by law, or with your consent, or in the good 
faith belief that such action is necessary: 
</p>
	<ol>
	  <li>to conform to the edicts of the law or comply with a legal process served on {$smarty.const.SITE_NAME};</li>
	  <li>to protect and defend the rights or property of {$smarty.const.SITE_NAME} or others; or</li>
	  <li>to assist, under exigent circumstances, in the investigation of securities law violations or other investigations.</li>
	</ol>

<p>It is possible that as we continue to develop our business, {$smarty.const.SITE_NAME} might be acquired. In such 
a transaction, your information may be transferred to the acquiring entity.
</p>

<h2>Advertisers and Other Third Parties</h2>
<p>This site contains links to other sites. {$smarty.const.SITE_NAME} is not responsible for the privacy practices 
or the content of such Web sites.
</p>

<p>We use third party ad companys to display some ads on our site. These ads may contain cookies. While we use 
cookies in other parts of our Web site, cookies received with banner ads are collected by the third party ad 
company, and we do not have access to this information. The privacy practices of companies who provide services 
or ads through our site are not covered by this Privacy Statement.  Please contact those companies directly for 
more information about their privacy practices.
</p>

<h2>Changes to Our Policies</h2>
<p>{$smarty.const.SITE_NAME}'s Privacy Statement may change from time to time. If we make any substantive changes 
to our policies, we will notify you by sending e-mail to the address provided by you, or by posting notice of 
changes to this Web site.  Your use of the site after the changes constitutes your agreement with regard to 
information collected from you in the past and in the future.
</p>

<h2>Security</h2>
<p>This site has industry standard security measures in place to protect against the loss, misuse or alteration 
of the information under our control, but we cannot guarantee complete security.
</p>

<h2>Use by Minors Prohibited</h2>
<p>{$smarty.const.SITE_NAME} is not intended for and should not be used by anyone under the age of 18. 
{$smarty.const.SITE_NAME} complies with the Children's Online Privacy Protection Act and does not permit 
registration or use by anyone under the age of 13.
</p>

<h2>International Users</h2>
<p>If you are an international User, by registering with {$smarty.const.SITE_NAME} or by using our service, 
you agree that we may collect, use, and transfer your information as described in this Privacy Statement. 
If you reside in the European Union or other jurisdictions that provide access rights under law, you may access 
your information or have it corrected or updated in accordance with applicable law by contacting us.
</p>

<h2>Clients</h2>
<p>Clients who have registered in order to use our services can change or update their account information 
and preferences by:
</p>

	<ol>
	{if $logged_in} 
	 <li>Visiting <a href="member.php">your account page</a></li>
	{else}
	  <li>Logging in to <a href="login.php">your account page</a></li>
	{/if}
	</ol>

<h2>Client Prospects</h2>
<p>From time to time we will email client prospects whom we have reason to believe might be interested 
in our services because of their involvement in the public relations, investor relations, or related fields.  
Prospects can opt-out of future  communications simply by replying to the email and indicating their preference.
</p>

<h2>Contacting the Web Site</h2>
<p>If you have any questions about this Privacy Statement, the practices of {$smarty.const.SITE_NAME}, or your 
dealings with this Web site, you can contact us.
</p>

</div>

{include file="footer.tpl"}