<?PHP
//================================================================================
// PLEASE DO NOT REMOVE THIS HEADER!!!
//
// COPYRIGHT NOTICE
// This script is licensed under the GPL
// 
// Copyright 2007-2008 Alias 454 Studios and Brandon Keep (c) All rights reserved.
// Created 11/18/2007   
// Brandon Keep,    http://www.openautoclassifieds.com
//                  http://www.alias454studios.com/scripts/
//
// Last Modified 04-12-2008 by
// Brandon Keep,    http://alias454studios.com
//================================================================================
// This software IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
// IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
// FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
// THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR
// OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
// ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
// OTHER DEALINGS IN THE SOFTWARE.
//================================================================================

require_once './Includes/configs/functions.php';
require_once './Includes/libs/Smarty.class.php';
include_once "./Includes/language/$site_lang.php";

$smarty = new Smarty;

$smarty->assign("manufacturerslist",getSearchList("make"));
$smarty->assign("modelslist",getSearchList("model"));
$smarty->assign("typeslist",getSearchList("vehicle_type"));

//Check if single user mode 1 or multi-user mode 0
if ($site_mode == 0) {
	$smarty->assign("site_mode",1);
}

//The user is already logged in.
if (isset($_SESSION["logged_in"])){
	$smarty->assign("logged_in",1);
	//check privs to find out if user 
	//is a seller, admin or user
	$status = checkPrivs();
	$smarty->assign("$status",1);

	if (isset($_POST["addimage"])) {
		$res = uploadUserImage($users_stored_path, $_FILES["image"]["name"], $_FILES["image"]["tmp_name"], $_POST["max"], $_SESSION["user"]);
		if ($res == 99) {
			$smarty->assign("success",EDIT_USER_UPLOAD_SUCCESS);
		} elseif ($res == 1) {
			$smarty->assign("error_message",EDIT_USER_MAX_ERROR);
		} elseif ($res == 2) {
			$smarty->assign("error_message",EDIT_USER_BAD_EXT);
		} else {
    		$smarty->assign("error_message",EDIT_USER_UPLOAD_ERROR);
		}
	}

	if (isset($_POST["submit"])) {
 	$res = updateUser($_SESSION["user"], $_POST["email"], $_POST["first_name"], $_POST["last_name"], $_POST["phone"], $_POST["alt_phone"], $_POST["fax"]);
 	//Update was successful
		if ($res == 99) {
			$smarty->assign("success",DETAIL_UPDATE_SUCCESS);
			$records = getUserRecords($_SESSION["user"]);
			$smarty->assign('records',$records);
		} elseif ($res == 1) {//Errors during Update	
			$smarty->assign("error_message",VALIDATE_EMAIL_ERROR);
			$smarty->assign("mail_error",1);
		}
	} else {
		$records = getUserRecords($_SESSION["user"]);
		$smarty->assign('records',$records);
	}
} else {
	header("Location: login.php");
	exit();
}

$smarty->display('useredit.tpl');
?>